﻿if (isServer) then
{
    TUN_Ryhma_Parametrit = [];
    TUN_Ajoneuvo_Parametrit = [];
};


if (hasInterface) then
{
    TUN_Display = 53; //briiffiruudun display
    TUN_Ryhma_Merkit_Paalla = True;
    TUN_Ajoneuvo_Merkit_Paalla = True;
    TUN_Teksti_Paalla = false;
    TUN_JV_Merkit = [];
    TUN_Ajoneuvomerkkien_ID = [];


    TUN_fnc_Luuskine_Merkit = // Tehdään Ajoneuvo merkit
    {
        {
    _x call {
                params ["_VehkeenPuoliSTR","_VehkeenPaikka","_VehkeenSuunta","_VehkeenIconi","_VehkeenTeksti","_VehkeenRGBvari","_VehkeenPuoli"];

                _liittolainen = false;
                if (AFI_Liittolaiseten_Merkit) then
                {
                    _liittolainen = [side player, _VehkeenPuoli] call BIS_fnc_sideIsFriendly;
                };

                if (str side player == _VehkeenPuoliSTR || _liittolainen) then
                {

                    if !(TUN_Teksti_Paalla) then
                    {
                        _VehkeenTeksti = str" ";
                    };

                            _luuskanidc = findDisplay TUN_Display displayCtrl 51 ctrlAddEventHandler
                            ["Draw",format ["_this select 0 drawIcon
                                [
                                    getText (configFile/'CfgVehicles'/%3/'Icon'),
                                    %4,
                                    %1,
                                    30,
                                    30,
                                    %2,
                                    %5,
                                    2
                                ]",
                                _VehkeenPaikka,
                                _VehkeenSuunta,
                                _VehkeenIconi,
                                _VehkeenRGBvari,
                                _VehkeenTeksti
                            ]
                        ];
                    TUN_Ajoneuvomerkkien_ID pushBack _luuskanidc;
                };
            };
        } forEach TUN_Ajoneuvo_Parametrit;
    };


    TUN_fnc_Kaikkien_Merkkien_Tila = //kutsuu merkkien poisto functiot
    {
        params ["_tila"];
        switch (_tila) do
        {
            case 1:
            {
                if !(TUN_Ajoneuvo_Merkit_Paalla) then {[1] call TUN_fnc_AjoneuvoMerkkien_Tila};
                if !(TUN_Ryhma_Merkit_Paalla) then {[1] call TUN_fnc_RyhmaMerkkien_Tila};
            };

            default
            {
                if (TUN_Ajoneuvo_Merkit_Paalla) then {[0] call TUN_fnc_AjoneuvoMerkkien_Tila};
                if (TUN_Ryhma_Merkit_Paalla) then {[0] call TUN_fnc_RyhmaMerkkien_Tila};
            };
        };
    };


    TUN_fnc_RyhmaMerkkien_Tila =
    {
        params ["_tila"];
        switch (_tila) do
        {
            case 1:
            {
                if (TUN_Ryhma_Merkit_Paalla) exitwith {};

                {_x setMarkerAlphaLocal 1;} forEach TUN_JV_Merkit;
                TUN_Ryhma_Merkit_Paalla = true;
            };

            default
            {
                if (!(TUN_Ryhma_Merkit_Paalla)) exitwith {};

                {_x setMarkerAlphaLocal 0;} forEach TUN_JV_Merkit;

                TUN_Ryhma_Merkit_Paalla = false; //Merkkaa että merkit on pois päältä
            };
        };
    };



    TUN_fnc_AjoneuvoMerkkien_Tila =
    {
        params ["_tila"];

        switch (_tila) do
        {
            case 1:
            {
                if (TUN_Ajoneuvo_Merkit_Paalla) exitwith {};

                [] call TUN_fnc_Luuskine_Merkit;
                TUN_Ajoneuvo_Merkit_Paalla = true;
            };

            default
            {
                if (!(TUN_Ajoneuvo_Merkit_Paalla)) exitwith {};
                {findDisplay TUN_Display displayCtrl 51 ctrlRemoveEventHandler ["Draw", _x];} forEach TUN_Ajoneuvomerkkien_ID;

                TUN_Ajoneuvo_Merkit_Paalla = false;
                TUN_Ajoneuvomerkkien_ID = [];
            };
        };
    };



    TUN_fnc_AjoneuvoMerkkien_Tekstin_Tila =
    {
        params ["_tila"];

        switch (_tila) do
        {
            case 1:
            {
                if (TUN_Teksti_Paalla) exitwith {};
                TUN_Teksti_Paalla = True;

                if (!(TUN_Ajoneuvo_Merkit_Paalla)) exitwith {};

                {findDisplay TUN_Display displayCtrl 51 ctrlRemoveEventHandler ["Draw", _x];} forEach TUN_Ajoneuvomerkkien_ID;

                [] call TUN_fnc_Luuskine_Merkit;
            };

            default
            {
                if (!(TUN_Teksti_Paalla)) exitwith {};
                TUN_Teksti_Paalla = false;

                if (!(TUN_Ajoneuvo_Merkit_Paalla)) exitwith {};

                {findDisplay TUN_Display displayCtrl 51 ctrlRemoveEventHandler ["Draw", _x];} forEach TUN_Ajoneuvomerkkien_ID;

                [] call TUN_fnc_Luuskine_Merkit;
            };
        };
    };
};